<?php
/*
 * Inject the chatbot widget in the end of <head> tag.
 */
    add_action( 'wp_head', 'bnai_cb_inject_Chat' );

    function bnai_cb_inject_Chat() {
        if ( null == get_option('bnai_cb_options') ) return;
        if ( null == get_option('bnai_cb_options')['bnai_cb_field_app_key'] || "" == get_option('bnai_cb_options')['bnai_cb_field_app_key'] ) return;
        if ( null == get_option('bnai_cb_options')['bnai_cb_field_website_id'] || "" == get_option('bnai_cb_options')['bnai_cb_field_website_id'] ) return;

        // then get the post data
        $values = array();
        if( is_page() ) {
            $post = get_post();
            if ($post->post_type != 'page') return;

            $values = get_post_custom( $post->ID );
            $current_user = wp_get_current_user();

        }

        // Auto start
        $auto_start = (get_option("bnai_cb_options")["bnai_cb_field_auto_start"] == "1" || get_option("bnai_cb_options")["bnai_cb_field_auto_start"] == 1) ? "true" : "false";
        if ( isset($values[BNAI_CB_POST_CUSTOM_FIELD_AUTO_START]) && $values[BNAI_CB_POST_CUSTOM_FIELD_AUTO_START][0] == "1") $auto_start = "true";

        // Ref
        $ref = get_option("bnai_cb_options")["bnai_cb_field_ref"];
        if ( isset($values[BNAI_CB_POST_CUSTOM_FIELD_REF]) && $values[BNAI_CB_POST_CUSTOM_FIELD_REF][0] != "") $ref = $values[BNAI_CB_POST_CUSTOM_FIELD_REF][0];

        ?>
        <script type="text/javascript">
            window.chatboxSettings = {
                appKey: '<?php echo get_option("bnai_cb_options")["bnai_cb_field_app_key"];  ?>'
                , websiteId: '<?php echo get_option("bnai_cb_options")["bnai_cb_field_website_id"]; ?>'
                , autoStart: <?php echo $auto_start; ?>
                <?php echo (null == $ref || "" == $ref ? "" : ", ref: '" . $ref . "'"); ?>
                <?php echo (null == $current_user || 0 == $current_user->ID ? "" : ", userId: '" . $current_user->ID . "'"); ?>
                <?php echo (null == $current_user || 0 == $current_user->ID || "" == $current_user->first_name ? "" : ", firstName: '" . $current_user->first_name . "'"); ?>
                <?php echo (null == $current_user || 0 == $current_user->ID || "" == $current_user->last_name ? "" : ", lastName: '" . $current_user->last_name . "'"); ?>
            };
            (function (d, s, id) {
                var js, fjs = d.getElementsByTagName(s)[0];
                if (d.getElementById(id)) {
                    return;
                }
                js = d.createElement(s);
                js.id = id;
                js.src = '<?php echo BNAI_CB_WIDGET_JS_PATH; ?>';
                js.async = true;
                fjs.parentNode.insertBefore(js, fjs);
            }(document, 'script', 'chatbox-jssdk'));
        </script>
        <?php
    }
?>